#ifndef CONSTRAINT_H_
#define CONSTRAINT_H_

#include <string>

using namespace std ;

class Constraint
{
public:
 	
    Constraint( ) ;
	string GetSourceName( ) ;
	string GetDestinationName( ) ;
	double GetBandwidth( ) ;
	double GetDelay( ) ;
	void SetSourceName( string Name ) ;
	void SetDestinationName( string Name ) ;
	void SetBandwidth( double Bw ) ;
	void SetDelay( double T ) ;
private:
    string mSource ;
    string mDest ;
    double mBw ;
    double mT ;
    
} ;

#endif /*CONSTRAINT_H_*/
